Page MenuHomePhabricator

CirrusSearch: Highlighted Wikitext returned from `intitle:` searches
Closed, ResolvedPublic

Description

This was discovered when reviewing /c/198105.

When searching for functional programming, the results include highlighted text as expected:

When searching for intitle:functional programming, the results include highlighted wikitext, which should not happen:

Same for -intitle: searches:

Event Timeline

Jdouglas claimed this task.
Jdouglas raised the priority of this task from to Medium.
Jdouglas updated the task description. (Show Details)
Jdouglas added a project: CirrusSearch.
Jdouglas added a subscriber: Jdouglas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 6:22 PM
Jdouglas renamed this task from intitle searches return results with highlighted wikitext to CirrusSearch: `intitle:` searches return results with highlighted wikitext.Apr 2 2015, 6:24 PM
Jdouglas renamed this task from CirrusSearch: `intitle:` searches return results with highlighted wikitext to CirrusSearch: Highlighted Wikitext returned from `intitle:` searches.
Jdouglas set Security to None.
Jdouglas moved this task from Backlog to Near Term on the MediaWiki-Core-Team board.
Jdouglas updated the task description. (Show Details)Apr 2 2015, 6:33 PM
Jdouglas updated the task description. (Show Details)Apr 2 2015, 6:48 PM
Rubin16 added a subscriber: Rubin16.Apr 3 2015, 6:01 AM
Jdouglas raised the priority of this task from Medium to High.Apr 3 2015, 4:04 PM
bd808 edited projects, added Discovery; removed MediaWiki-Core-Team.Apr 7 2015, 4:53 PM
Manybubbles moved this task from Needs triage to Search on the Discovery board.May 7 2015, 7:55 PM
ksmith removed Jdouglas as the assignee of this task.May 15 2015, 5:30 PM

This appears to have been resolved by some other change. I can't reproduce the problem on enwiki, ruwiki, or vagrant::master.

Jdouglas closed this task as Resolved.May 27 2015, 9:15 PM